%define anolis_release 2
Name:           libshout
Version:        2.4.6
Release:        %{anolis_release}%{?dist}
Summary:        Icecast source streaming library

License:        LGPLv2+ and MIT
URL:            https://www.icecast.org/
Source:         https://downloads.xiph.org/releases/libshout/libshout-%{version}.tar.gz

Patch0:         libshout-2.4.3-Allow-disabling-ckport-database-installation.patch
Patch1:         libshout-2.4.3-Default-OpenSSL-cipher-list-is-PROFILE-SYSTEM.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  libtool
BuildRequires:  gcc
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(speex)
BuildRequires:  pkgconfig(theora)
BuildRequires:  sed
BuildRequires: make

%description
libshout is a library for communicating with and sending data to an
icecast server.  It handles the socket connection, the timing of the
data, and prevents most bad data from getting to the icecast server.

%package        devel
Summary:        Header files for %{name} development
License:        LGPLv2+
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The libshout-devel package contains the header files needed for developing
applications that send data to an icecast server.  Install libshout-devel if
you want to develop applications using libshout.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%configure \
  --disable-ckport \
  --enable-examples \
  --enable-pkgconfig \
  --disable-silent-rules \
  --enable-shared \
  --enable-speex \
  --disable-static \
  --enable-theora \
  --enable-thread

# clean unused-direct-shlib-dependencies
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

%make_build

%install
%make_install

find $RPM_BUILD_ROOT -type f -name "*.la" -delete

rm -rf $RPM_BUILD_ROOT%{_docdir}

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING
%{_libdir}/libshout.so.3
%{_libdir}/libshout.so.3.*
%{abidir}/libshout.dump
%{_libdir}/ckport/db/*
%{_bindir}/shout*
%{_mandir}/man1/shout*.1*

%files devel
%{_libdir}/libshout.so
%{_libdir}/pkgconfig/shout.pc
%{_includedir}/shout/
%{_datadir}/aclocal/shout.m4

%files doc
%doc NEWS README examples/*.c doc/*.xml

%changelog
* Tue Apr 29 2025 zjl02254423 <zjl02254423@alibaba-inc.com> - 2.4.6-2
- Rebuild for libtheora 1.2.0

* Sat Mar 04 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 2.4.6-1
- update to 2.4.6

* Fri Apr 15 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.4.5-1
- Init from upstream version 2.4.5
